body{
    margin: 0;
    padding: 0;
    background: #262626;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 180px;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 6px;
    background: #ff0;
    border: 2px solid #ff0;
    color: transparent;
    font-size: 24px;
    box-shadow: 0 15px 50px rgba(0,0,0,.8);
}
a:before{
    content: attr(data-title);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #262626;
    color: #ff0;
    transform: scale(1) rotateY(0deg);
    transition: .5s;
}
a:after{
    content: attr(data-title);
    position: absolute;
    top: 0;
    left: -150%;
    width: 100%;
    height: 100%;
    background: #262626;
    color: #ff0;
    transform: scale(0) rotateY(0deg);
    transition: .5s;
}
a:hover:before{
    left: 100%;
    transform: scale(0) rotateY(360deg);
    opacity: 0;
}
a:hover:after{
    left:0;
    transform: scale(1) rotateY(-360deg);
    opacity: 1;
} 